Get Onramp Quote
curl --request POST \
--url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"from": {
"amount": 500,
"currency": "BRL"
},
"to": {
"asset": "STABLE_SATS",
"chain": "lightning"
}
}
'import requests
url = "https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/quote"
payload = {
"from": {
"amount": 500,
"currency": "BRL"
},
"to": {
"asset": "STABLE_SATS",
"chain": "lightning"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: {amount: 500, currency: 'BRL'},
to: {asset: 'STABLE_SATS', chain: 'lightning'}
})
};
fetch('https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "onramp",
"from": {
"amount": "500",
"currency": "BRL"
},
"to": {
"asset": "STABLE_SATS",
"gross_amount": "95.47",
"net_amount": "94.68"
},
"pricing": {
"fx_rate": "0.19094342357815985",
"fees": {
"onramp_fee": "1.5",
"onramp_fee_currency": "brl",
"network_fee": "0.51",
"network_fee_asset": "STABLE_SATS",
"total_fees": "4.12",
"total_fees_currency": "brl"
}
}
}Onramp
Get Onramp Quote
Get a quote to onramp fiat to crypto. This does not affect your Bullring balance.
POST
/
v2
/
ramp
/
{subaccountId}
/
banking
/
onramp
/
quote
Get Onramp Quote
Authorizations
Path Parameters
⌘I